Subject: Re: [PATCH net-next] net/sock: Introduce trace_sk_data_ready()

From: Cong Wang <[email-masked]>
Date: Sat, 15 Oct 2022 13:07:29 -0700

On Thu, Sep 29, 2022 at 09:19:34AM -0700, Eric Dumazet wrote:
> Second patch adding the tracing point once in the helper ?
> 
> Alternatively, why not add the tracepoint directly in the called
> functions (we have few of them),
> instead of all call points ?

Why do we want to give implementations of sk_data_ready() freedom
to not to call this trace_sk_data_ready()?

Thanks.